Skip to content
Streamkap
Esc
navigateopen⌘Jpreview

Reset Existing Destination

Reset a destination connector by stopping it, deleting offsets, and resuming it. This will treat the connector as brand new and start consuming from the beginning.

POST/destinations/{destination_id}/reset
Authorization
AuthorizationBearer token · headerrequired
Path parameters
destination_idstring | anyrequired
Responses
200

Successful Response

any
422

Validation Error

detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X POST "https://api.streamkap.com/destinations/string/reset" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
Successful Response